/*
 *      $Filename: string.c $
 *      $Revision: 2.1 $
 *      $Date: 1994/01/17 13:01:29 $
 *
 *      Copyright (C) 1993 by Peter Simons <simons@peti.GUN.de>
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *      $Id: string.c,v 2.1 1994/01/17 13:01:29 simons Exp simons $
 *
 */


/************************************* includes ***********/
#include <string.h>

/************************************* global variables ***/
const char RCSId[] = "$Id: string.c,v 2.1 1994/01/17 13:01:29 simons Exp simons $";

const char FATALERROR_MSG[] = \
"Sorry, but fatal error #%d occured while processing your request. The\n"  \
"problem has been reported to the listserv-manager and will be fixed as\n" \
"soon as possible. Please try again later.\n";

const char DELETED_MSG[] = \
"Although you have been deleted from the list some mail sent previous\n" \
"to your deletion may be queued in the system. Please don't panic if\n"  \
"you receive a few last pieces of mail.\n";


/************************************* program ************/
char *stristr(char *line, char *string)
{
        int i, cmplen = strlen(string), end = strlen(line)-cmplen;

        for (i = 0; i <= end; i++)
                if (strnicmp(&line[i], string, cmplen) == NULL)
                        return &line[i];
        return NULL;
}


